Bug 229534 - [patch] net/get_iplayer: Update to 3.14 and fix dependencies
Summary: [patch] net/get_iplayer: Update to 3.14 and fix dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Chris Rees
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-07-05 09:24 UTC by Peter Laursen
Modified: 2018-08-28 19:40 UTC (History)
1 user (show)

See Also:


Attachments
Patch described in bug description (2.14 KB, patch)
2018-07-05 09:24 UTC, Peter Laursen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Laursen 2018-07-05 09:24:45 UTC
Created attachment 194893 [details]
Patch described in bug description

Hi,
While trying to use net/get-iplayer to download one of my favourite radio programs, I discovered that the port was failing at run-time due to either missing or wrong dependencies.
The attached patch:
* Updates get-iplayer to the latest version (3.14)
* Fixes required dependencies for the port (see https://github.com/get-iplayer/get_iplayer/wiki/installation)
* Adds a dependency on p5-CGI since, as far as I know, the lowest supported Perl version is 5.24.
* The port optionally depends on both FFMpeg (for converting audio/video) and AtomicParsley (for tagging). I have included those dependencies with corresponding options.

I hope the patch is useful (or at least gives a good starting point). 

All the best,

Peter
Comment 1 Chris Rees freebsd_committer 2018-07-13 11:52:07 UTC
I'll take it.
Comment 2 commit-hook freebsd_committer 2018-08-28 19:39:47 UTC
A commit references this bug:

Author: crees
Date: Tue Aug 28 19:39:39 UTC 2018
New revision: 478327
URL: https://svnweb.freebsd.org/changeset/ports/478327

Log:
  Update and fix dependencies

  PR:		ports/229534
  Submitted by:	Peter Laursen

Changes:
  head/net/get_iplayer/Makefile
  head/net/get_iplayer/distinfo
  head/net/get_iplayer/files/get_iplayer.in
Comment 3 Chris Rees freebsd_committer 2018-08-28 19:40:08 UTC
Committed.  Thanks!